<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libassuan-download-http "&gnupg-http;/libassuan/libassuan-&libassuan-version;.tar.bz2">
  <!ENTITY libassuan-download-ftp  " ">
  <!ENTITY libassuan-md5sum        "6f0d239302ae3b8d4aefcb499b137530">
  <!ENTITY libassuan-size          "580 KB">
  <!ENTITY libassuan-buildsize     "6.5 MB (with tests, add 3.4 MB for pdf documentation)">
  <!ENTITY libassuan-time          "0.2 SBU (with tests and html documentation)">
]>

<sect1 id="libassuan" xreflabel="libassuan-&libassuan-version;">
  <?dbhtml filename="libassuan.html"?>


  <title>libassuan-&libassuan-version;</title>

  <indexterm zone="libassuan">
    <primary sortas="a-libassuan">libassuan</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libassuan</title>

    <para>
      The <application>libassuan</application> package contains an inter
      process communication library used by some of the other
      <application>GnuPG</application> related packages.
      <application>libassuan</application>'s primary use is to allow a
      client to interact with a non-persistent server.
      <application>libassuan</application> is not, however, limited to
      use with <application>GnuPG</application> servers and clients. It
      was designed to be flexible enough to meet the demands of many
      transaction based environments with non-persistent servers.
    </para>

    &lfs123_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libassuan-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libassuan-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libassuan-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libassuan-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libassuan-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libassuan-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libassuan Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libgpg-error"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>)
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libassuan</title>

    <para>
      Install <application>libassuan</application> by running the
      following commands:
    </para>

<screen><userinput>./configure --prefix=/usr &amp;&amp;
make                      &amp;&amp;

make -C doc html                                                       &amp;&amp;
makeinfo --html --no-split -o doc/assuan_nochunks.html doc/assuan.texi &amp;&amp;
makeinfo --plaintext       -o doc/assuan.txt           doc/assuan.texi
</userinput></screen>

    <para>
      The above commands build the documentation in html and plaintext formats.
      If you wish to build alternate formats of the documentation, you must
      have <xref linkend="texlive"/> installed and issue the following commands:
    </para>

<screen remap="doc"><userinput>make -C doc pdf ps</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install &amp;&amp;

install -v -dm755   /usr/share/doc/libassuan-&libassuan-version;/html &amp;&amp;
install -v -m644 doc/assuan.html/* \
                    /usr/share/doc/libassuan-&libassuan-version;/html &amp;&amp;
install -v -m644 doc/assuan_nochunks.html \
                    /usr/share/doc/libassuan-&libassuan-version;      &amp;&amp;
install -v -m644 doc/assuan.{txt,texi} \
                    /usr/share/doc/libassuan-&libassuan-version;</userinput></screen>

    <para>
      If you built alternate formats of the documentation, install them by
      running the following commands as the
      <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"
        remap="doc"><userinput>install -v -m644  doc/assuan.{pdf,ps,dvi} \
                  /usr/share/doc/libassuan-&libassuan-version;</userinput></screen>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libassuan.so
        </seg>
        <seg>
          /usr/share/doc/libassuan-&libassuan-version;
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libassuan-lib">
        <term><filename class="libraryfile">libassuan.so</filename></term>
        <listitem>
          <para>
            is an inter process communication library which
            implements the Assuan protocol
          </para>
          <indexterm zone="libassuan libassuan-lib">
            <primary sortas="c-libassuan">libassuan.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
